CHDMAN(1)

NAME
chdman - MAME Compressed Hunks of Data (CHD) manager

SYNOPSIS
chdman option file

DESCRIPTION
chdman is the (C)ompressed (H)unks of (D)ata (CHD) manager for MAME. It is a tool to manage CHD images.

OPTIONS

-info input.chd
    Dump the header information from a drive image.

-createraw inputhd.raw output.chd [inputoffs [hunksize]]
    Create a new compressed raw image from a raw file.

-createhd inputhd.raw output.chd [inputoffs [cylinders heads sectors [sectorsize [hunksize]]]]
    Create a new compressed hard disk image from a raw file.

-createblankhd output.chd cylinders heads sectors [sectorsize [hunksize]]
    Create a new non-compressed hard disk image, with all hunks filled with 0s.

-createcd input.toc output.chd
    Create a new compressed CD image from a raw file.

-copydata input.chd output.chd
    Copy all hunks of data from one CHD file to another. The hunk sizes do not need to match. If the source is shorter than the destination, the source data will be padded with 0s.

-extract input.chd output.raw
    Extract a raw file from a CHD image.

-extractcd input.chd output.toc output.bin
    Extract a CDRDAO .toc/.bin file from a CHD-CD image.

-verify input.chd
    Validate the MD5/SHA1 on a drive image.

-verifyfix input.chd
    Validate and fix the MD5/SHA1 on a drive image.

-update input.chd output.chd
    Update CHD image using metadata from input file.

-chomp input.chd output.chd maxhunk
    Chomp hunk from CHD image.

-merge parent.chd diff.chd output.chd
    Merge a parent and its child together.

-diff parent.chd compare.chd diff.chd
    Generate a difference between two CHD files.

-setchs inout.chd cylinders heads sections
    Change the CHS values on a hard disk image.

-split input.chd output.chd length
    Split a CHD file into multiple parts.